package oicq.wlogin_sdk.sharemem;

import java.util.List;
import oicq.wlogin_sdk.sharemem.server_callback;
import oicq.wlogin_sdk.sharemem.WloginSigInfo;
import oicq.wlogin_sdk.sharemem.WloginSimpleInfo;
import oicq.wlogin_sdk.sharemem.WloginLoginInfo;

interface sharemem_service_aidl {
	int invok_callback(int s);
	int register_callback(server_callback callback, long uin, long appid);
	
	//Ʊ1
	int put_siginfo1(long uin, long appid, long app_pri, long create_time, long expire, long A2expire,in byte[] face, in byte[] age, in byte[] gander, in byte[] nick,
			in byte[] TGT, in byte[]TGTkey, in byte[] st, in byte[] stkey, in byte[] stweb,
			in byte[] a5, in byte[] a8, in byte[] lskey, in byte[] skey, in byte[] sig64, in byte[] openid, in byte[] openkey);
	
	//Ʊ2
	/*
	int put_siginfo2(long uin, long appid,
			in byte[] TGT, in byte[]TGTkey, in byte[] st, in byte[] stkey, 
			in byte[] stweb, in byte[] a5, in byte[] a8, in byte[] lskey, in byte[] skey, in byte[] sig64, in byte[] openid, in byte[] openkey);
	*/
	
	//Ʊ3
	int put_siginfo3(long uin, long appid, long create_time, long expire,
			in byte[] st, in byte[] stkey);	
	
	//ȡƱ1
	WloginSigInfo get_siginfo(long uin, long appid);
		
	//ȡƱ2
	byte[] get_stsig(long uin, long appid);
	
	//ȡƱ3
	WloginSigInfo get_siginfo_by_pri(long uin, long appid, long app_pri, long cur_time);	
	
	//ȡ
	WloginSimpleInfo get_simpleinfo(long uin);
	
	//Ʊ
	void clear_sig(long uin);
	
	//ʺ
	void put_account(String name, long uin);
	
	//ɾʺӳ
	void remove_account(String name);	
	
	//ȡuin
	long get_account(String name);
	
	//ɾʺ
	void clear_account(String name);
	
	//
	List<WloginLoginInfo> get_all_logined_account();
		
}
